package com.tzz.mvc.controller;

import com.tzz.mvc.annaotation.EnjoyAutowired;
import com.tzz.mvc.annaotation.EnjoyController;
import com.tzz.mvc.annaotation.EnjoyRequestMapping;
import com.tzz.mvc.annaotation.EnjoyRequestParam;
import com.tzz.mvc.service.JvmService;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;

/**
 * @author : tangzhaozhen
 * @createTime : 2023/10/28 18:57
 */
@EnjoyController
@EnjoyRequestMapping("/mvc")
public class JvmController {

    @EnjoyAutowired("JvmServiceIml")   //map.get("jvmService")
    private JvmService jvmService;


    @EnjoyRequestMapping("/query")
    public void query(HttpServletRequest request, HttpServletResponse response,
                      @EnjoyRequestParam("name") String name,
                      @EnjoyRequestParam("age") String age
    ) {
        try {
            PrintWriter printWriter = response.getWriter();
            String result = jvmService.query(name, age);
            printWriter.write(result);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }

    }


}
